These docs are for v1.0. Click to read the latest docs for v2.0.

Find shortest route

This endpoints returns the route between a source (lat,lon) and a target (lat,lon) on the water. These (lat,lon) objects are encoded as lat:{latitude_value}lon:{longitude_value} or lon:{longitude_value}lat:{latitude_value} interchangeably. Query parameters can be added to your request to avoid certain areas, i.e. SECA (avoidSeca) / Piracy (avoidPiracy), or specific zones, i.e. Panama / Suez (blockedAreas). You can also specify the average speed of your vessel to get a better estimation of the arrival time (speed).

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Starting point of the route. The format is lon:%flat:%f, e.g.
lon:9.1lat:42.5

string
required

Endpoint of the route. The format is lon:%flat:%f, e.g.
lon:-6.8lat:46.8

Query Params
double
Defaults to 0

Length of the vessel in meters. Used to avoid canals that cannot accomodate a vessel of that size.

double
Defaults to 0

Width of the vessel in meters. Used to avoid canals that cannot accomodate a vessel of that size.

double
Defaults to 0

Draught of the vessel in meters. Used to avoid canals that cannot accomodate a vessel of that size.

int32
Defaults to 20

Speed of the vessel in knots. Only used for calculating estimations of journey times in the result

boolean
Defaults to false

Specifies if inland waterways should be avoided

boolean
Defaults to false

Specifies if travel in SECA zones should be avoided

boolean
Defaults to false

Specifies if travel in areas of piracy incidents should be avoided

boolean
Defaults to false

Specifies if travel in territorial waters should be avoided

string

Specifies countries whose territorial waters should be avoided. This is an array of internal IDs e.g. avoidedTwCountries=1&avoidedTwCountries=2&avoidedTwCountries=3.
For the entire list click here

avoidedTwCountriesCsv
array of strings

Alternatively use a comma separated list of country-IDs in case your gateway is not able to handle HTML-arrays

avoidedTwCountriesCsv
string

Prefer these routing areas if possible. This is an array of internal IDs. e.g. takenAreas=1&takenAreas=2&takenAreas=3
For the entire list click here

takenAreasCsv
array of strings

Alternatively use a comma separated list of area-IDs in case your gateway is not able to handle HTML-arrays

takenAreasCsv
string

Avoid these routing areas if possible. This is an array of internal IDs blockedAreas=1&blockedAreas=2&blockedAreas=3.
For the entire list click here

blockedAreasCsv
array of strings

Alternatively use a comma separated list of area-IDs in case your gateway is not able to handle HTML-arrays

blockedAreasCsv
int32
Defaults to 0

Reduce the size of the response by returning only every n-th point of the track. Larger values (up to 100) return fewer data points. This is especially useful for mobile apps.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json